{
    "pages": [
        //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
        {
            "path": "pages/tabBar/index/index",
            "style": {
                "navigationBarTitleText": "呵呵商城",
                "enablePullDownRefresh": true,
                "backgroundColor": "#F952B7",
                "navigationBarBackgroundColor": "#F952B7",
                "navigationBarTextStyle": "white"

            }
        },
        {
            "path": "pages/tabBar/cart/index",
            "style": {
                "navigationBarTitleText": "购物车",
                "enablePullDownRefresh": true
            }
        },
        {
            "path": "pages/tabBar/user/index",
            "style": {
                "navigationBarTitleText": "个人中心",
                "enablePullDownRefresh": true
            }
        },
        {
            "path": "pages/authorize/authorize",
            "style": {
                "navigationBarTitleText": "微信授权"
            }
        },
        {
            "path": "pages/login/login",
            "style": {
                "navigationBarTitleText": "登录"
            }
        }
    ],
    "subPackages": [{
            "root": "pages/goods/",
            "pages": [{
                    "path": "list",
                    "style": {
                        "navigationBarTitleText": "立即下单"
                    }
                },
                {
                    "path": "cart",
                    "style": {
                        "navigationBarTitleText": "购物车",
                        "enablePullDownRefresh": true,
                        "navigationStyle": "custom"
                    }
                },
                {
                    "path": "search",
                    "style": {
                        "navigationBarTitleText": "搜索"
                    }
                },
                {
                    "path": "product-detail",
                    "style": {
                        "navigationBarTitleText": "商品详情"
                    }
                },
                {
                    "path": "goods-floorMore",
                    "style": {
                        "navigationBarTitleText": "商品列表",
                        "enablePullDownRefresh": true
                    }
                },
                {
                    "path": "goods-coupon-list",
                    "style": {
                        "navigationBarTitleText": "优惠券商品列表",
                        "enablePullDownRefresh": true
                    }
                },
                {
                    "path": "goods-coupon-list-search",
                    "style": {
                        "navigationBarTitleText": "搜索"
                    }
                }
            ]
        },
        {
            "root": "pages/user/", //个人中心模块
            "pages": [{
                    "path": "address/addressManage",
                    "style": {
                        "navigationBarTitleText": "添加新地址"
                    }
                },
                {
                    "path": "address/address",
                    "style": {
                        "navigationBarTitleText": "地址列表",
                        "enablePullDownRefresh": true,
                        "onReachBottomDistance": 50
                    }
                },
                {
                    "path": "order/create-order",
                    "style": {
                        "navigationBarTitleText": "确认订单"
                    }
                },
                {
                    "path": "order/success",
                    "style": {
                        "navigationBarTitleText": "支付结果",
                        "navigationStyle": "custom"
                    }
                },
                {
                    "path": "order/error",
                    "style": {
                        "navigationBarTitleText": "支付结果",
                        "navigationStyle": "custom"
                    }
                },
                {
                    "path": "order/order-list",
                    "style": {
                        "navigationBarTitleText": "我的订单",
                        "navigationStyle": "custom"
                    }
                },
                {
                    "path": "order/order-list-retail",
                    "style": {
                        "navigationBarTitleText": "我的订单",
                        "navigationStyle": "custom"
                    }
                },
                {
                    "path": "order/order-details",
                    "style": {
                        "navigationBarTitleText": "订单详情",
                        "navigationStyle": "custom"

                    }
                },
                {
                    "path": "order/order-payment",
                    "style": {
                        "navigationBarTitleText": "收银台",
                        "navigationStyle": "custom"
                    }
                },
                {
                    "path": "order/search-order",
                    "style": {
                        "navigationBarTitleText": "订单搜索"
                    }
                },
                {
                    "path": "order/order-logistics",
                    "style": {
                        "navigationBarTitleText": "物流信息"
                    }
                },
                {
                    "path": "activity/activity",
                    "style": {
                        "navigationBarTitleText": "活动详情",
                        "enablePullDownRefresh": true,
                        "backgroundColor": "#ff457b",
                        "backgroundTextStyle": "light",
                        "onReachBottomDistance": 50
                    }
                },
                {
                    "path": "activity/activity-list",
                    "style": {
                        "navigationBarTitleText": "活动专区",
                        "enablePullDownRefresh": true,
                        "onReachBottomDistance": 50
                    }
                },
                {
                    "path": "activity/coupon-find-list",
                    "style": {
                        "navigationBarTitleText": "领券中心"
                    }
                },
                {
                    "path": "activity/coupon-list",
                    "style": {
                        "navigationBarTitleText": "优惠券"
                    }
                }
            ]
        }
    ],

    "tabBar": {
        "height": "80",
        "color": "#999999",
        "selectedColor": "#ff457b",
        "borderStyle": "black",
        "backgroundColor": "#ffffff",
        "list": [{
                "pagePath": "pages/tabBar/index/index",
                "iconPath": "static/icon-index@2x.png",
                "selectedIconPath": "static/icon-index-active@2x.png",
                "text": "商城"
            },
            {
                "pagePath": "pages/tabBar/cart/index",
                "iconPath": "static/icon-cart@2x.png",
                "selectedIconPath": "static/icon-cart-active@2x.png",
                "text": "购物车"
            },
            {
                "pagePath": "pages/tabBar/user/index",
                "iconPath": "static/icon-user@2x.png",
                "selectedIconPath": "static/icon-user-active@2x.png",
                "text": "我的"
            }
        ]
    },
    "easycom": {
        "autoscan": true,
        "custom": {
            "tui-(.*)": "@/components/thorui/tui-$1/tui-$1.vue",
            "uni-(.*)": "@/components/uni-components/uni-$1/uni-$1.vue",
            "scroll-top": "@/components/cm-module/scrollTop/scrollTop.vue"
        }
    },
    "globalStyle": {
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "呵呵商城",
        "navigationBarBackgroundColor": "#FFFFFF",
        "backgroundColor": "#FFFFFF"
    },
    "condition": {
        //模式配置，仅开发期间生效
        "current": 0, //当前激活的模式(list 的索引项)
        "list": [{
            "name": "", //模式名称
            "path": "", //启动页面，必选
            "query": "" //启动参数，在页面的onLoad函数里面得到
        }]
    }
}
